> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blink.store/llms.txt
> Use this file to discover all available pages before exploring further.

# List customer subscriptions

> Retrieves all active subscriptions for a given customer. Useful for determining current and past engagements with customers.



## OpenAPI

````yaml get /customers/{id}/subscriptions
openapi: 3.0.0
info:
  title: Blink API
  description: Comprehensive API documentation for Blink.
  version: 1.0.0
servers:
  - url: https://api.blink.store/v1
security: []
paths:
  /customers/{id}/subscriptions:
    get:
      tags:
        - Customers
      summary: List customer subscriptions
      description: >-
        Retrieves all active subscriptions for a given customer. Useful for
        determining current and past engagements with customers.
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Subscriptions retrieved
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomerSubscriptionsResponse'
        '401':
          description: Unauthorized
        '404':
          description: Not Found
components:
  schemas:
    CustomerSubscriptionsResponse:
      type: object
      properties:
        meta:
          type: object
          properties:
            total:
              type: integer
        data:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              product_id:
                type: string
              variant_id:
                type: string
              status:
                type: string
              current_period_end:
                type: string
                format: date-time
              cancel_at_period_end:
                type: boolean
              created_at:
                type: string
                format: date-time
              product:
                type: object
                properties:
                  id:
                    type: string
                  name:
                    type: string

````